> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easyflows.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary



## OpenAPI

````yaml https://files.easyflows.io/openapi.json get /api/v1/app/reviews/summary
openapi: 3.0.0
info:
  title: Easyflows
  version: v1
servers:
  - url: https://{subdomain}.easyflows.io
    variables:
      subdomain:
        default: demo
        description: Subdomain of the project
security: []
paths:
  /api/v1/app/reviews/summary:
    get:
      tags:
        - Reviews
      summary: Get summary
      parameters:
        - schema:
            type: string
            description: The reference of the product for which to get the review summary.
          required: false
          description: The reference of the product for which to get the review summary.
          name: product_ref
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    allOf:
                      - $ref: '#/components/schemas/ReviewsSummary'
                      - description: The main data returned by the API endpoint.
                required:
                  - data
        '400':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: A description of the error that occurred.
                required:
                  - error
components:
  schemas:
    ReviewsSummary:
      type: object
      properties:
        average:
          type: number
          description: The average rating.
          example: 4.2
        total:
          type: number
          description: The total number of reviews.
          example: 527
        distribution:
          type: object
          properties:
            '1':
              type: number
              description: The number of 1-star reviews.
              example: 13
            '2':
              type: number
              description: The number of 2-star reviews.
              example: 45
            '3':
              type: number
              description: The number of 3-star reviews.
              example: 128
            '4':
              type: number
              description: The number of 4-star reviews.
              example: 234
            '5':
              type: number
              description: The number of 5-star reviews.
              example: 107
          required:
            - '1'
            - '2'
            - '3'
            - '4'
            - '5'
      required:
        - average
        - total
        - distribution

````